#!/bin/bash

#########################################################################
# This program is free software: you can redistribute it and/or modify  #
# it under the terms of the version 3 of the GNU General Public License #
# as published by the Free Software Foundation.                         #
#                                                                       #
# This program is distributed in the hope that it will be useful, but   #
# WITHOUT ANY WARRANTY; without even the implied warranty of            #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      #
# General Public License for more details.                              #
#                                                                       #
# You should have received a copy of the GNU General Public License     #
# along with this program. If not, see <http://www.gnu.org/licenses/>.  #
#                                                                       #
# Written by and Copyright (C) Francois Fleuret                         #
# Contact <francois.fleuret@idiap.ch> for comments & bug reports        #
#########################################################################

# This script moves all the files specified as argument to directories
# of the form YEAR/MONTH, according to the files modification
# dates. The directories are created if necessary.

set -e

while [[ "$1" ]]; do
    if [[ -f "$1" ]]; then
        dir=$(date -r "$1" +%Y/%b)
        mkdir -p ${dir}
        echo "$1 -> ${dir}"
        mv "$1" ${dir}
    else
        echo "Ignore: $1 is not a regular file."
    fi
    shift
done
